Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.jasperreports.charts
Interface JRYAxisFormat

All Known Subinterfaces:
  JRBubblePlot, JRScatterPlot

All Known Implementing Classes:
  JRBaseBubblePlot, JRBaseScatterPlot, JRDesignBubblePlot, JRDesignScatterPlot, JRFillBubblePlot, JRFillScatterPlot

    public interface JRYAxisFormat

Version:
  $Id: JRYAxisFormat.java 3179 2009-10-30 10:03:01Z teodord $
Author:
  Teodor Danciu (teodord@users.sourceforge.net)

Method Summary
`java.awt.Color` | `getOwnYAxisLabelColor()`
`java.awt.Color` | `getOwnYAxisLineColor()`
`java.awt.Color` | `getOwnYAxisTickLabelColor()`
`java.awt.Color` | `getYAxisLabelColor()`
`JRFont` | `getYAxisLabelFont()`
`java.awt.Color` | `getYAxisLineColor()`
`java.awt.Color` | `getYAxisTickLabelColor()`
`JRFont` | `getYAxisTickLabelFont()`
`java.lang.String` | `getYAxisTickLabelMask()`
`java.lang.Boolean` | `getYAxisVerticalTickLabels()`

Method Detail

### getYAxisLabelFont

    JRFont getYAxisLabelFont()

### getYAxisLabelColor

    java.awt.Color getYAxisLabelColor()

### getOwnYAxisLabelColor

    java.awt.Color getOwnYAxisLabelColor()

### getYAxisTickLabelFont

    JRFont getYAxisTickLabelFont()

### getYAxisTickLabelColor

    java.awt.Color getYAxisTickLabelColor()

### getOwnYAxisTickLabelColor

    java.awt.Color getOwnYAxisTickLabelColor()

### getYAxisTickLabelMask

    java.lang.String getYAxisTickLabelMask()

### getYAxisVerticalTickLabels

    java.lang.Boolean getYAxisVerticalTickLabels()

### getYAxisLineColor

    java.awt.Color getYAxisLineColor()

### getOwnYAxisLineColor

    java.awt.Color getOwnYAxisLineColor()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com